<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:template match="book">
<fo:root>
   <fo:layout-master-set>
      <fo:simple-page-master master-name="first"
          page-height="29.7cm" 
          page-width="21cm" 
          margin-top="1cm" 
          margin-bottom="2cm" 
          margin-left="2.5cm" 
          margin-right="2.5cm">
          <fo:region-body margin-top="3cm"/>
          <fo:region-before extent="3cm"/>
          <fo:region-after extent="1.5cm"/>
      </fo:simple-page-master>

      <fo:simple-page-master master-name="rest"
          page-height="29.7cm" 
          page-width="21cm"
          margin-top="1cm" 
          margin-bottom="2cm" 
          margin-left="2.5cm" 
          margin-right="2.5cm">
          <fo:region-body margin-top="2.5cm"/>
          <fo:region-before extent="2.5cm"/>
          <fo:region-after extent="1.5cm"/>
      </fo:simple-page-master>

      <fo:page-sequence-master master-name="basicPSM" >
         <fo:repeatable-page-master-alternatives>
            <fo:conditional-page-master-reference master-reference="first" page-position="first" />
            <fo:conditional-page-master-reference master-reference="rest" page-position="rest" />
            <fo:conditional-page-master-reference master-reference="rest" />
         </fo:repeatable-page-master-alternatives>
      </fo:page-sequence-master>
   </fo:layout-master-set>

   <fo:page-sequence master-reference="first">
      <fo:static-content flow-name="xsl-region-before">
         <fo:block text-align="end"
            font-size="10pt"
            font-family="serif"
            line-height="14pt"
            color="red" >
            This is not the latest Fop documentation.
         </fo:block>
      </fo:static-content>

      <fo:flow flow-name="xsl-region-body">
         <fo:block font-size="18pt"
            font-family="sans-serif"
            line-height="24pt"
            space-after.optimum="15pt"
            background-color="blue"
            color="white"
            text-align="center"
            padding-top="3pt">
            <xsl:value-of select="title" />
         </fo:block>
         <xsl:apply-templates select="para" />
      </fo:flow>
   </fo:page-sequence>

</fo:root>
</xsl:template>
	
<xsl:template match="para">
   <fo:block font-size="18pt"
      font-family="serif"
      line-height="20pt"
      space-before.optimum="35pt"
      space-after.optimum="14pt" >
      <xsl:number format="1" />
      <xsl:text>) </xsl:text>
      <xsl:value-of select="subtitle" />
   </fo:block>
   <xsl:for-each select="text">
      <fo:block space-after.optimum="3pt" font-family="serif">
        <xsl:value-of select="." />
      </fo:block>
   </xsl:for-each>
</xsl:template>
</xsl:stylesheet>